org.jbpm.workflow.core.node

## Class EventNode

- java.lang.Object
- - org.jbpm.workflow.core.impl.NodeImpl
  - - org.jbpm.workflow.core.impl.ExtendedNodeImpl
    - - org.jbpm.workflow.core.node.EventNode

- All Implemented Interfaces:
    Serializable, Contextable, ContextResolver, EventNodeInterface, org.kie.api.definition.process.Node
  Direct Known Subclasses:
    AsyncEventNode, BoundaryEventNode

      public class EventNode
      extends ExtendedNodeImpl
      implements EventNodeInterface

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `EVENT_NODE_BOUNDARY, EVENT_NODE_ENTER, EVENT_NODE_EXIT`

    - ### Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `constraints, EMPTY_NODE_ARRAY`

    - ### Fields inherited from interface org.jbpm.workflow.core.Node

      `CONNECTION_DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `EventNode()`
    `protected` | `EventNode(org.kie.api.definition.process.NodeType nodeType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `acceptsEvent(String type, Object event)`
    `boolean` | `acceptsEvent(String type, Object event, Function<String,Object> resolver)`
    `void` | `addEventFilter(EventFilter eventFilter)`
    `List<EventFilter>` | `getEventFilters()`
    `EventTransformer` | `getEventTransformer()`
    `String` | `getScope()`
    `String` | `getType()`
    `String` | `getVariableName()`
    `void` | `removeEventFilter(EventFilter eventFilter)`
    `void` | `setEventFilters(List<EventFilter> filters)`
    `void` | `setEventTransformer(EventTransformer transformer)`
    `void` | `setScope(String scope)`
    `void` | `setVariableName(String variableName)`
    `void` | `validateAddIncomingConnection(String type, org.kie.api.definition.process.Connection connection)`
    `void` | `validateAddOutgoingConnection(String type, org.kie.api.definition.process.Connection connection)`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `containsActions, getActions, getActionTypes, setActions`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `addConstraint, addIncomingConnection, addOutgoingConnection, clearIncomingConnection, clearOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getNodeType, getNodeUniqueId, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, setNodeType, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventNode

          public EventNode()

    - #### EventNode

          protected EventNode(org.kie.api.definition.process.NodeType nodeType)

  - ### Method Detail

    - #### getVariableName

          public String getVariableName()

    - #### setVariableName

          public void setVariableName(String variableName)

    - #### addEventFilter

          public void addEventFilter(EventFilter eventFilter)

    - #### removeEventFilter

          public void removeEventFilter(EventFilter eventFilter)

    - #### getEventFilters

          public List<EventFilter> getEventFilters()

    - #### setEventFilters

          public void setEventFilters(List<EventFilter> filters)

    - #### getType

          public String getType()

    - #### acceptsEvent

          public boolean acceptsEvent(String type,
                                      Object event)

      Specified by:
        `acceptsEvent` in interface `EventNodeInterface`

    - #### acceptsEvent

          public boolean acceptsEvent(String type,
                                      Object event,
                                      Function<String,Object> resolver)

      Specified by:
        `acceptsEvent` in interface `EventNodeInterface`

    - #### setEventTransformer

          public void setEventTransformer(EventTransformer transformer)

    - #### getEventTransformer

          public EventTransformer getEventTransformer()

    - #### getScope

          public String getScope()

    - #### setScope

          public void setScope(String scope)

    - #### validateAddIncomingConnection

          public void validateAddIncomingConnection(String type,
                                                    org.kie.api.definition.process.Connection connection)

      Overrides:
        `validateAddIncomingConnection` in class `NodeImpl`

    - #### validateAddOutgoingConnection

          public void validateAddOutgoingConnection(String type,
                                                    org.kie.api.definition.process.Connection connection)

      Overrides:
        `validateAddOutgoingConnection` in class `NodeImpl`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.